{
  config,
  pkgs,
  lib,
  ...
}: {
  environment.systemPackages = with pkgs; [
    dhcpdump
    dig
    iftop
    eza
    git
    htop
    jq
    lazygit
    mosh
    nmap
    npins
    ripgrep
    screen
    tcpdump
    unzip
    vim
    wget
    wireguard-tools
  ];

  environment.shellAliases = {
    l = "eza -lah --git --git-repos-no-status";
  };

  programs.mosh.enable = !(builtins.elem config.networking.hostName []);
  programs.mtr.enable = true;

  programs.vim.defaultEditor = true;
}
